{{! Supermarket:
    Add class: price-was-label, price--main
}}
{{!-- There are 2 code paths for generating the PDP pricing HTML determined by the following #and condition.
    If a 'price_range' exists then we generate all HTML in price-range.html, otherwise it is defined here. Both code
    paths generate the same HTML structure with some differences in whether that element is displayed by default (css styling).

    If you are making a change here or in price-range.html, you probably want to make that change in both files. --}}

{{#and price.price_range (if theme_settings.price_ranges '==' true)}}
    {{> components/products/price-range price=price schema_org=schema_org}}
{{else}}
    {{#if price.saved}}
        {{#if price.rrp_with_tax}}
            {{#if (merge this discount=(round (multiply (divide price.saved.value price.rrp_with_tax.value) 100)))}}{{/if}}
        {{else if price.rrp_without_tax}}
            {{#if (merge this discount=(round (multiply (divide price.saved.value price.rrp_without_tax.value) 100)))}}{{/if}}
        {{else if price.non_sale_price_with_tax}}
            {{#if (merge this discount=(round (multiply (divide price.saved.value price.non_sale_price_with_tax.value) 100)))}}{{/if}}
        {{else if price.non_sale_price_without_tax}}
            {{#if (merge this discount=(round (multiply (divide price.saved.value price.non_sale_price_without_tax.value) 100)))}}{{/if}}
        {{/if}}
    {{else if price.non_sale_price_with_tax}}
        {{#if (merge this discount=(round (subtract 100 (multiply (divide price.with_tax.value price.non_sale_price_with_tax.value) 100))))}}{{/if}}
    {{else if price.non_sale_price_without_tax}}
        {{#if (merge this discount=(round (subtract 100 (multiply (divide price.without_tax.value price.non_sale_price_without_tax.value) 100))))}}{{/if}}
    {{/if}}
    {{!-- NewOxatis Discount START --}}

    {{#if page_type '===' 'product'}}
        {{#if theme_settings.pdp_sale_badge '===' 'price_zone'}}
            <div class="price-section price-section--discount price product-discount"
                 {{#all (unless price.saved) (unless price.non_sale_price_with_tax)
                        (unless price.non_sale_price_without_tax) }}style="display: none;"{{/all}}>

                {{#if discount}}
                    <div class="sale-flag-pricezone">
                        <span data-product-discount class="sale-text">-{{discount}}%</span>
                    </div>
                {{/if}}
            </div>
        {{/if}}
    {{else}}
        {{#if theme_settings.plp_sale_badge '===' 'price_zone'}}
            <div class="price-section price-section--discount price"
                 {{#all (unless price.saved) (unless price.non_sale_price_with_tax)
                        (unless price.non_sale_price_without_tax) }}style="display: none;"{{/all}}>

                {{#if discount}}
                    <div class="sale-flag-pricezone">
                        <span data-product-discount class="sale-text">-{{discount}}%</span>
                    </div>
                {{/if}}
            </div>
        {{/if}}
    {{/if}}
    {{!-- NewOxatis Discount END --}}
    {{#if page_type '===' 'product'}}
        <div class="price-section price-section--saving" {{#unless price.saved}}style="display: none;"{{/unless}}>
            <span class="price">{{lang 'products.you_save_opening_text'}}</span>
            <span data-product-price-saved class="price price--saving">
                {{price.saved.formatted}}
            </span>
            <span class="price">{{lang 'products.you_save_closing_bracket'}}</span>
        </div>
    {{/if}}

    {{#and price.with_tax price.without_tax}}
        <div class="price-section__container">
        <div class="price-section__inner">
    {{/and}}

    {{#if price.with_tax}}
        <div class="price-section price-section--withTax" {{#if schema_org}}itemprop="offers" itemscope
             itemtype="https://schema.org/Offer"{{/if}}>
                <span class="price-label" {{#if price.non_sale_price_with_tax}}style="display: none;"{{/if}}>
                    {{theme_settings.pdp-price-label}}
                </span>
                <span class="price-now-label" {{#or price.non_sale_price_with_tax price.rrp_with_tax}}{{else}}style="display: none;"{{/or}}>
                    {{theme_settings.pdp-sale-price-label}}
                </span>
                <span data-product-price-with-tax class="price price--withTax price--main">{{price.with_tax.formatted}}</span>
                {{#if schema_org}}
                    <meta itemprop="url" content="{{product.url}}">
                    <meta itemprop="availability" itemtype="https://schema.org/ItemAvailability"
                        content="https://schema.org/{{#if product.pre_order}}PreOrder{{else if product.out_of_stock}}OutOfStock{{else if product.can_purchase '===' false}}OutOfStock{{else}}InStock{{/if}}">
                    <meta itemprop="itemCondition" itemtype="https://schema.org/OfferItemCondition" content="https://schema.org/{{product.condition}}Condition">
                    <meta itemprop="price" content="{{toFixed price.with_tax.value settings.money.decimal_places}}">
                    <meta itemprop="priceCurrency" content="{{currency_selector.active_currency_code}}">
                    <meta itemprop="priceValidUntil" content='{{moment "next year" "YYYY-MM-DD"}}'>
                    <div itemprop="priceSpecification" itemscope itemtype="https://schema.org/PriceSpecification">
                        <meta itemprop="price" content="{{toFixed price.with_tax.value settings.money.decimal_places}}">
                        <meta itemprop="priceCurrency" content="{{currency_selector.active_currency_code}}">
                        <meta itemprop="valueAddedTaxIncluded" content="true">
                    </div>
                {{/if}}
            {{#or price.without_tax theme_settings.tax_label}}
                {{#unless theme_settings.tax_label_ttc}}
                    <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{lang 'products.price_with_tax' tax_label=price.tax_label}}</abbr>
                {{else}}
                    <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{theme_settings.tax_label_ttc}}</abbr>
                {{/unless}}
            {{/or}}
            </div>
            {{>components/oxatis/ecotaxe/ecotaxe product_id=product_id tax_included=true}}
            <div class="price-section price-section--withTax non-sale-price--withTax" {{#unless price.non_sale_price_with_tax}}style="display: none;"{{/unless}}>
                <span class="price-was-label">{{theme_settings.pdp-non-sale-price-label}}</span>
                <span data-product-non-sale-price-with-tax class="price price--non-sale">
                    {{price.non_sale_price_with_tax.formatted}}
                </span>
                {{#or price.without_tax theme_settings.tax_label}}
                    {{#unless theme_settings.tax_label_ttc}}
                        <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{lang 'products.price_with_tax' tax_label=price.tax_label}}</abbr>
                    {{else}}
                        <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{theme_settings.tax_label_ttc}}</abbr>
                    {{/unless}}
                {{/or}}
            </div>

        <div class="price-section price-section--withTax rrp-price--withTax"
             {{#unless price.rrp_with_tax}}style="display: none;"{{/unless}}>
            <span class="price-was-label">{{theme_settings.pdp-retail-price-label}}</span>
            <span data-product-rrp-with-tax class="price price--rrp">
                {{price.rrp_with_tax.formatted}}
            </span>
            {{#or price.without_tax theme_settings.tax_label}}
                {{#unless theme_settings.tax_label_ttc}}
                    <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{lang 'products.price_with_tax' tax_label=price.tax_label}}</abbr>
                {{else}}
                    <abbr class="price-tax-label"  title="{{lang 'products.including_tax'}}">{{theme_settings.tax_label_ttc}}</abbr>
                {{/unless}}
            {{/or}}
        </div>
        {{/if}}
    {{#and price.with_tax price.without_tax}}
        </div>
        <div class="price-section__inner">
    {{/and}}
        {{#if price.without_tax}}
            <div class="price-section price-section--withoutTax{{#if price.with_tax}} price-section--minor{{/if}}" {{#if schema_org}}itemprop="offers" itemscope itemtype="https://schema.org/Offer"{{/if}}>
                <span class="price-label" {{#if price.non_sale_price_without_tax}}style="display: none;"{{/if}}>
                    {{theme_settings.pdp-price-label}}
                </span>
                <span class="price-now-label" {{#or price.non_sale_price_without_tax price.rrp_without_tax}}{{else}}style="display: none;"{{/or}}>
                    {{theme_settings.pdp-sale-price-label}}
                </span>
                <span data-product-price-without-tax class="price price--withoutTax{{#if price.with_tax}} price-section--minor{{/if}} price--main">{{price.without_tax.formatted}}</span>
                {{#if schema_org}}
                    <meta itemprop="url" content="{{product.url}}">
                    <meta itemprop="availability" itemtype="https://schema.org/ItemAvailability"
                        content="https://schema.org/{{#if product.pre_order}}PreOrder{{else if product.out_of_stock}}OutOfStock{{else if product.can_purchase '===' false}}OutOfStock{{else}}InStock{{/if}}">
                    <meta itemprop="itemCondition" itemtype="https://schema.org/OfferItemCondition" content="https://schema.org/{{product.condition}}Condition">
                    <meta itemprop="price" content="{{toFixed price.without_tax.value settings.money.decimal_places}}">
                    <meta itemprop="priceCurrency" content="{{currency_selector.active_currency_code}}">
                    <meta itemprop="priceValidUntil" content='{{moment "next year" "YYYY-MM-DD"}}'>
                    <div itemprop="priceSpecification" itemscope itemtype="https://schema.org/PriceSpecification">
                        <meta itemprop="price" content="{{toFixed price.without_tax.value settings.money.decimal_places}}">
                        <meta itemprop="priceCurrency" content="{{currency_selector.active_currency_code}}">
                        <meta itemprop="valueAddedTaxIncluded" content="false">
                    </div>
                {{/if}}
                {{#or price.with_tax theme_settings.tax_label}}
                    {{#unless theme_settings.tax_label_ht}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{lang 'products.price_without_tax' tax_label=price.tax_label}}</abbr>
                    {{else}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{theme_settings.tax_label_ht}}</abbr>
                    {{/unless}}
                {{/or}}
            </div>
            {{>components/oxatis/ecotaxe/ecotaxe product_id=product_id tax_included=false}}
            <div class="price-section price-section--withoutTax non-sale-price--withoutTax{{#if price.with_tax}} price-section--minor{{/if}}" {{#unless price.non_sale_price_without_tax}}style="display: none;"{{/unless}}>
                <span class="price-was-label">{{theme_settings.pdp-non-sale-price-label}}</span>
                <span data-product-non-sale-price-without-tax class="price price--non-sale">
                    {{price.non_sale_price_without_tax.formatted}}
                </span>
                {{#or price.with_tax theme_settings.tax_label}}
                    {{#unless theme_settings.tax_label_ht}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{lang 'products.price_without_tax' tax_label=price.tax_label}}</abbr>
                    {{else}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{theme_settings.tax_label_ht}}</abbr>
                    {{/unless}}
                {{/or}}
            </div>
            <div class="price-section price-section--withoutTax rrp-price--withoutTax{{#if price.with_tax}} price-section--minor{{/if}}" {{#unless price.rrp_without_tax}}style="display: none;"{{/unless}}>
                <span class="price-was-label">{{theme_settings.pdp-retail-price-label}}</span>
                <span data-product-rrp-price-without-tax class="price price--rrp">
                    {{price.rrp_without_tax.formatted}}
                </span>
                {{#or price.with_tax theme_settings.tax_label}}
                    {{#unless theme_settings.tax_label_ht}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{lang 'products.price_without_tax' tax_label=price.tax_label}}</abbr>
                    {{else}}
                        <abbr class="price-tax-label"  title="{{lang 'products.excluding_tax'}}">{{theme_settings.tax_label_ht}}</abbr>
                    {{/unless}}
                {{/or}}
            </div>
        {{/if}}
    {{#and price.with_tax price.without_tax}}
        </div>
        </div>
    {{/and}}

    {{#or (unless price.with_tax) (unless price.without_tax)}}
        {{#if page_type '===' 'product'}}
             <div class="price-section price-section--saving" {{#unless price.saved}}style="display: none;"{{/unless}}>
                    <span class="price">{{lang 'products.you_save_opening_text'}}</span>
                    <span data-product-price-saved class="price price--saving">
                        {{price.saved.formatted}}
                    </span>
                    <span class="price">{{lang 'products.you_save_closing_bracket'}}</span>
             </div>
        {{/if}}
    {{/or}}


{{/and}}

